Package Details: gstm 1.3.7-4

Git Clone URL: https://aur.archlinux.org/gstm.git (read-only, click to copy)
Package Base: gstm
Description: Gnome SSH Tunnel Manager - Gtk3 Edition
Upstream URL: https://github.com/dallenwilson/gstm
Licenses: GPL
Conflicts: gstm-git, gstm-gtk2
Provides: gstm
Submitter: jhenson
Maintainer: jvybihal
Last Packager: jvybihal
Votes: 6
Popularity: 0.000777
First Submitted: 2015-08-18 22:28
Last Updated: 2020-12-17 09:25

Pinned Comments

jvybihal commented on 2019-09-09 06:59

For those interested, I have created gstm-git package from the dallenwilson's master branch. https://aur.archlinux.org/packages/gstm-git/

Latest Comments

1 2 3 Next › Last »

petris commented on 2020-12-16 16:57

@jvybihal that fixed the issue. Thanks for the quick turnaround!

jvybihal commented on 2020-12-16 15:38

@petris does it build if you add libappindicator-gtk3 as dependency?

petris commented on 2020-12-16 15:36

Today's update fails to build in a clean chroot:

checking for APPINDICATOR... no
configure: error: Package requirements (appindicator3-0.1) were not met:
Package 'appindicator3-0.1', required by 'virtual:world', not found
Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.
Alternatively, you may set the environment variables APPINDICATOR_CFLAGS
and APPINDICATOR_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.
==> ERROR: A failure occurred in build().
    Aborting...

OkayThereBud commented on 2020-12-16 14:14

Thanks, it worked now.

jvybihal commented on 2020-12-16 14:09

@OkayThereBud my bad, sorry about that. Pushed fix.

OkayThereBud commented on 2020-12-16 14:04

Won't let me update: https://pastebin.com/NSBiqp86

L0-FF commented on 2020-06-04 17:12

@jvybihal,

If you prepend: CFLAGS="$CFLAGS -fcommon", to line 34, in the PKGBUILD. To get: CFLAGS="$CFLAGS -fcommon" ./configure --prefix=/usr

It'll compile as expected.

I've confirmed with: vers: 1.3.5.1-1 & 1.3.6 (the main branch release, and the -git branch)

L0-FF commented on 2020-06-04 15:37

@jvybihal, compiles and installs as expected. Thanks for following up with Dallen (upstream), saw your post on github.

Let me know if you ever need help with maintaining this package.

Cheers.

jvybihal commented on 2020-06-04 07:02

@L0-FF it is an upstream issue with GCC10. Dallen made a branch fno-common that compiles, I have temporary switched the gstm-git package to that branch, so people have working version on up-to-date system.

I will update this package once the fix hits master or new release is made.

https://github.com/dallenwilson/gstm/issues/13

L0-FF commented on 2020-06-02 18:32

@jvybihal, I did actually - I use several tunnels for work daily, so needed a fix.

gstm-git, didn't build though. Pretty sure it's the same issue as the main package. I did check the Makefile, and it's also the same line(s) (484, 536) Something related to all-recursive

collect2: error: ld returned 1 exit status
make[2]: *** [Makefile:484: gstm] Error 1
make[2]: Leaving directory '/home/xeifu/.config/cache/yay/gstm-git/src/gstm/src'
make[1]: *** [Makefile:536: all-recursive] Error 1
make[1]: Leaving directory '/home/xeifu/.config/cache/yay/gstm-git/src/gstm'
make: *** [Makefile:424: all] Error 2
==> ERROR: A failure occurred in build().
    Aborting...
Error making: gstm-git